/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.accordion {
  border: 1px solid $transparency-black-04;
  border-radius: 2px;

  .accordion__item + .accordion__item {
    border-top: 2px solid $color-white-01;
  }

  .accordion__heading {
    z-index: 2;
    position: sticky;
    top: 0;
  }

  .accordion__button {
    width: 100%;
    color: $color-white-01;
    font-size: 18px;
    font-weight: 500;
    line-height: 27px;
    text-align: left;
    background: $color-blue-02;
    border: none;
    cursor: pointer;
    transition: all $duration;
    padding: 8px 10px;

    @include desktop {
      padding: 8px 15px;
    }

    &:hover {
      background: $color-blue-01;
    }

    &[aria-expanded='true'],
    &[aria-selected='true'] {
      font-size: 20px;
      line-height: 30px;
      background: $color-green-02;

      &:hover {
        background: $color-green-01;
      }
    }

    & .catalog-id {
      margin-right: 15px;
      font-size: x-large;
    }
  }

  .accordion__panel {
    animation: fadein 0.35s ease-in;
    padding: 20px 10px;

    @include desktop {
      padding: 20px 15px;
    }

    .groupSubform {
      margin-bottom: 50px;
    }

    .MuiFormControl-root {
      padding: 20px 0;
    }

    ul {
      padding: 0;
      margin: 0;

      li::marker {
        content: none;
      }
    }
  }
}

/* -------------------------------------------------- */
/* ---------------- Animation part ------------------ */
/* -------------------------------------------------- */

@keyframes fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}